package com.zd.alg.smartlock.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 人员关联对象 sl_user_relation
 *
 * @author zd
 * @date 2022-09-02
 */
@ApiModel("人员关联")
public class SlUserRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 用户姓名 */
    @Excel(name = "用户姓名")
    @Length(message = "用户姓名长度不能超过50")
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    /** 门锁服务人员编号 */
    @Excel(name = "门锁服务人员编号")
    @Length(message = "门锁服务人员编号长度不能超过50")
    @ApiModelProperty(value = "门锁服务人员编号")
    private String lockUserCode;
    /** $column.columnComment */
    @Excel(name = "门锁服务人员编号")
    @ApiModelProperty(value = "门锁服务人员编号")
    private Long type;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date creatTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getLockUserCode() {
        return lockUserCode;
    }

    public void setLockUserCode(String lockUserCode) {
        this.lockUserCode = lockUserCode;
    }

    public Long getType() {
        return type;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }
}
